unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, TAGraph, TATransformations, TASeries, TASources,
  Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    ChartAxisTransformations1: TChartAxisTransformations;
    ChartAxisTransformations1LogarithmAxisTransform1: TLogarithmAxisTransform;
    ListChartSource1: TListChartSource;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    procedure PrepareData;
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  Math;

{ TForm1 }


procedure TForm1.FormCreate(Sender: TObject);
begin
  PrepareData;
end;

procedure TForm1.PrepareData;
const
  VALUES_PER_DECADE : array[0..4] of Double = (1.0, 2.0, 3.0, 5.0, 7.0);
var
  i: Integer;
  decade: Double;
  x: Double;
begin
  // Achsenmarkierungen erzeugen - es geht am besten mit einer ListSource
  ListChartSource1.Clear;
  decade := 0.1;
  while decade < 10000 do begin
    for i:=0 to High(VALUES_PER_DECADE) do begin
      x := VALUES_PER_DECADE[i]*decade;
      ListChartSource1.Add(x, x);
    end;
    decade := decade * 10.0;
  end;

  // Datenpunkte zur Dateenreihe hinzufügen
  Chart1LineSeries1.Clear;
  Chart1LineSeries1.AddXY(1, 1);
  Chart1LineSeries1.AddXY(10, 0.9);
  Chart1LineSeries1.AddXY(100, 0.7);
  Chart1LineSeries1.AddXY(1000, 0.65);
end;

end.

